# %Cantera C++ Reference

> **Note:** This is the **%Cantera Developer API** documentation; for general
> information on %Cantera, refer to [**cantera.org**](https://cantera.org).

Use sidebar or menu at the top to view detailed documentation of the code, or
use the following shortcuts:

* Overview of [**Cantera C++ Modules**](modules.html)
* Index of [**Cantera C++ Classes**](classes.html)

A topical overview is provided as follows:

* @ref solnGroup (interface to %Cantera core objects)
* @ref thermoprops (temperature, pressure, energy, ...)
* @ref chemkinetics (reactions, rates of progress, reaction path analysis, ...)
* @ref tranprops (diffusion, viscosity, thermal conductivity, ...)
* @ref zerodGroup (reactors, walls, flow devices, ...)
* @ref onedGroup (flames, flow domains, boundaries, ...)
* @ref physConstants (universal constants, built into %Cantera for convenience)

For fundamental scientific theory used for the implementation of %Cantera, refer to the
[Cantera Science Section](https://cantera.org/science/index.html) of the
[Cantera Website](https://cantera.org).

The %Cantera source code is hosted on [GitHub](https://github.com/Cantera/cantera).
